Bug 11283 - DNS tcp/odp connections for ADS client are not IPv6 enabled
DNS tcp/odp connections for ADS client are not IPv6 enabled
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-05-20 16:25 UTC by David Holder
Modified: 2015-06-06 20:07 UTC (History)
1 user (show)

See Also:


Attachments
Patch IPv6 enabled DNS connectiosn for ADS client (6.55 KB, patch)
2015-05-20 16:25 UTC, David Holder
no flags Details
git-am fix for 4.2.next. (6.58 KB, patch)
2015-05-27 00:29 UTC, Jeremy Allison
slow: review+
Details
Backported git-am fix for 4.1.next. (6.25 KB, patch)
2015-05-27 16:35 UTC, Jeremy Allison
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Holder 2015-05-20 16:25:33 UTC
Created attachment 11073 [details]
Patch IPv6 enabled DNS connectiosn for ADS client

DNS connections from the ADS client fail when using IPv6-only as the code is IPv4 only. 

Current code is IPv4 specific. It should be protocol independent.
Comment 1 Jeremy Allison 2015-05-27 00:29:55 UTC
Created attachment 11088 [details]
git-am fix for 4.2.next.
Comment 2 Jeremy Allison 2015-05-27 16:35:06 UTC
Created attachment 11092 [details]
Backported git-am fix for 4.1.next.
Comment 3 Jeremy Allison 2015-05-27 16:57:28 UTC
Re-assigning to Karolin for inclusion in 4.2.next, 4.1.next.
Comment 4 Karolin Seeger 2015-06-01 19:21:15 UTC
(In reply to Jeremy Allison from comment #3)
Pushed to autobuild-v4-[1|2]-test.
Comment 5 Karolin Seeger 2015-06-06 20:07:45 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to both branches.
Closing out bug report.

Thanks!